For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTCreate Order
      • GETGet Orders
      • GETGet Order
      • GETGet Shipment
      • GETGet Shipment Timeline
      • POSTBatch Cancel Shipments
      • POSTMark Tracking Uploaded
      • POSTEstimate Delivery Date
        • POSTEstimate Fulfillment Cost For Order
        • PUTUpdate Shipment Address
        • GETGet Shipment Line Items
        • POSTUpdate Shipment Line Items
        • PUTBulk Update Shipping Service
        • POSTCancel Order
        • POSTCancel Shipment
        • GETGet Shipping Methods
        • GETGet Shipment Status Timeline by Order ID and Shipment ID
        • GETGet All Shipments for Order
        • GETGet Shipment Logs by Order ID and Shipment ID
        • POSTCancel Shipment by Order ID and Shipment ID
        • GETGet Shipment Logs
        • GETGet Shipment by Order ID and Shipment ID
        • GETGet Order Store Data
        • GETGet Completely Cancelled Orders
    • OpenAPI spec
LogoLogo
API ReferenceOrdersAdditional

Get Completely Cancelled Orders

||View as Markdown|
GET
/2026-01/order/cancelled
GET
/2026-01/order/cancelled
$curl -G https://api.shipbob.com/2026-01/order/cancelled \
> -H "Authorization: Bearer <token>" \
> -d Page=1 \
> -d Limit=50 \
> -d IsTrackingUploaded=true
1[
2 {
3 "id": 0,
4 "order_number": "string",
5 "shipment_ids": [
6 0
7 ]
8 }
9]
Retrieve the IDs of orders and their associated shipments that have been fully cancelled, meaning all shipments within the order are in a cancelled state.
Was this page helpful?
Previous

Get Order Store Data

Next

Create Product

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token or OAuth2

Query parameters

PageintegerOptional1-2147483647
Page of orders to get
LimitintegerOptional1-250
Amount of orders per page to request
IsTrackingUploadedbooleanOptional

Indicates whether the Shipment was marked with tracking information uploaded to a third-party system where the order originated

Response

Success
idlong
Unique id of the order
order_numberstring or null

User-friendly orderId or store order number that will be shown on the Orders Page. If not provided, referenceId will be used

shipment_idslist of longs or null
Shipments Ids affiliated with the order

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error